# Uses of Interface
org.eclipse.birt.report.engine.content.IColumn

Packages that use IColumn
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of IColumn in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IColumn
Modifier and Type
Method
Description
`IColumn`
ITableContent.`getColumn(int index)`
Get the column based on index
`IColumn`
ICellContent.`getColumnInstance()`
Get the column content
Methods in org.eclipse.birt.report.engine.content with parameters of type IColumn
Modifier and Type
Method
Description
`void`
ITableContent.`addColumn(IColumn column)`
Add the column